Bug 208592 - Should give non-0 exit code on failure
Should give non-0 exit code on failure
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: paps (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-09-29 11:16 EDT by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-20 07:24:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-09-29 11:16:48 EDT
Description of problem:
The texttopaps filter (paps running in CUPS filter mode) doesn't have a non-zero
exit code when it encounters an error.  As a result, print jobs can potentially
get lost.

Version-Release number of selected component (if applicable):
0.6.6-15.fc6

How reproducible:
100%

Steps to Reproduce:
CHARSET=utf-16 CUPS_SERVER=127.0.0.1 /usr/lib/cups/filter/texttopaps 1 root '' 1
'' input.txt >/dev/null
echo $?
  
Actual results:
(null): Error while converting strings.
0

Expected results:
texttopaps: Error while converting strings.
1

Additional info:
Not sure why it displays '(null)' as the program name, but that's a small issue
compared to the exit code.
Comment 1 Akira TAGOH 2006-09-29 15:10:01 EDT
Fixed in 0.6.6-16.fc6.

Note You need to log in before you can comment on or make changes to this bug.